#include <cstdio>
int kilos(int *vageMin,int *vageMax,int maxKg,int index1,int index2)
{
    int counter = 0;
    for(int i = index1-1; i < index2;i++)
    {
        int min = vageMin[i];int max = vageMax[i];
        if(min <= maxKg && max >= maxKg)
        {
            counter++;
        }
    }
    return counter;
}

int main() {
    int n,m;
    scanf("%d %d",&n,&m);
    int vageMin[n];
    int vageMax[n];
    for(int i = 0;i < n;i++)
    {
        scanf("%d %d",&vageMin[i],&vageMax[i]);
    }
    for(int i = 0;i < m;i++)
    {
        int min,max,kg;
        scanf("%d %d %d",&min,&max,&kg);
        if(i != 0)
        {
            printf("\n");
        }
        printf("%d",kilos(vageMin,vageMax,kg,min,max));
    }

}